Package uk.ac.starlink.topcat.vizier

# Class InfoItem

java.lang.Object
uk.ac.starlink.topcat.vizier.InfoItem

public class InfoItem extends Object
Represents one of the static VizieR resources as obtained by the VizierInfo class.

Since:
  3 Nov 2009
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`InfoItem(String name, String title, Integer krows)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Integer`
`getKrows()`
Returns the number of thousands of rows.
`String`
`getName()`
Returns the item short name.
`String`
`getTitle()`
Returns the item short description.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InfoItem

public InfoItem(String name, String title, Integer krows)
Constructor.

Parameters:
  `name` - item name
  `title` - item short description
  `krows` - number of thousands of rows (approx)

## Method Details

### getName

public String getName()
Returns the item short name.

Returns:
  name

### getTitle

public String getTitle()
Returns the item short description.

Returns:
  title

### getKrows

public Integer getKrows()
Returns the number of thousands of rows.

Returns:
  krows